Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.xml
Class JXEditTextArea

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  org.syntax.jedit.JEditTextArea
                      com.eviware.soapui.support.xml.JXEditTextArea

All Implemented Interfaces:
  FindAndReplaceable, JEditorStatusBar.JEditorStatusBarTarget, java.awt.event.FocusListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.swing.event.UndoableEditListener, javax.swing.Scrollable

    public class JXEditTextArea

extends org.syntax.jedit.JEditTextArea
implements javax.swing.event.UndoableEditListener, java.awt.event.FocusListener, FindAndReplaceable, JEditorStatusBar.JEditorStatusBarTarget

JEditTextArea extension targeted specifically at XML-editing. //@todo move font handling to subclass

Author:
  Ole.Matzura
See Also:
  Serialized Form

Nested Class Summary
`class` | `JXEditTextArea.DeleteLineAction`
`class` | `JXEditTextArea.NextElementValueAction`
`class` | `JXEditTextArea.PreviousElementValueAction`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `UNDO_LIMIT`

Fields inherited from class org.syntax.jedit.JEditTextArea
`biasLeft, blink, BOTTOM, bracketLine, bracketPosition, caretBlinks, caretEvent, caretTimer, caretVisible, CENTER, document, documentHandler, editable, firstLine, focusedComponentRef, inputHandler, LEFT_OF_SCROLLBAR, lineSegment, listenerList, magicCaret, overwrite, painter, popup, rectSelect, RIGHT, scrollBarsInitialized, selectionEnd, selectionEndLine, selectionStart, selectionStartLine, visibleLines`

Fields inherited from class javax.swing.JComponent
`accessibleContext, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JXEditTextArea(org.syntax.jedit.tokenmarker.TokenMarker tokenMarker)`

Method Summary
`void` | `addNotify()`
`boolean` | `canRedo()`
`boolean` | `canUndo()`
`javax.swing.Action` | `createCopyAction()`
`javax.swing.Action` | `createCutAction()`
`static JXEditTextArea` | `createGroovyEditor()`
`javax.swing.Action` | `createPasteAction()`
`static JXEditTextArea` | `createXmlEditor()`
`org.syntax.jedit.SyntaxStyle[]` | `createXmlStyles()`
`void` | `focusGained(java.awt.event.FocusEvent fe)`
`void` | `focusLost(java.awt.event.FocusEvent fe)`
`int` | `getCaretColumn()`
`javax.swing.Action` | `getFindAndReplaceAction()`
`javax.swing.Action` | `getGoToLineAction()`
`javax.swing.Action` | `getRedoAction()`
`javax.swing.Action` | `getUndoAction()`
`javax.swing.undo.UndoManager` | `getUndoManager()`
`boolean` | `isDiscardEditsOnSet()`
`void` | `redo()`
`void` | `removeNotify()`
`void` | `setDiscardEditsOnSet(boolean discardEditsOnSet)`
`void` | `setEditable(boolean enabled)`
`void` | `setEnabled(boolean flag)`
`void` | `setText(java.lang.String text)`
`void` | `toNextElement()`
`void` | `toPreviousElement()`
`void` | `undo()`
`void` | `undoableEditHappened(javax.swing.event.UndoableEditEvent e)`

Methods inherited from class org.syntax.jedit.JEditTextArea
`_offsetToX, addCaretListener, blinkCaret, copy, cut, documentChanged, fireCaretEvent, getBracketLine, getBracketPosition, getCaretLine, getCaretPosition, getDocument, getDocumentLength, getFirstLine, getInputHandler, getLineCount, getLineEndOffset, getLineHeight, getLineLength, getLineOfOffset, getLineStartOffset, getLineText, getLineText, getMagicCaretPosition, getMarkLine, getMarkPosition, getMaximumSize, getMaxLineLength, getMinimumSize, getPainter, getPreferredScrollableViewportSize, getPreferredSize, getRightClickPopup, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getSelectedText, getSelectionEnd, getSelectionEnd, getSelectionEndLine, getSelectionStart, getSelectionStart, getSelectionStartLine, getTabExpandedLineLength, getText, getText, getText, getTokenMarker, getVisibleLines, isCaretBlinkEnabled, isCaretVisible, isEditable, isManagingFocus, isOverwriteEnabled, isSelectionRectangular, lineToY, offsetToX, overwriteSetSelectedText, paste, processKeyEvent, recalculateVisibleLines, removeCaretListener, scrollTo, scrollToCaret, select, selectAll, selectNone, setCaretBlinkEnabled, setCaretPosition, setCaretVisible, setDocument, setFirstLine, setInputHandler, setMagicCaretPosition, setOverwriteEnabled, setRightClickPopup, setSelectedText, setSelectionEnd, setSelectionRectangular, setSelectionStart, setTokenMarker, updateBracketHighlight, updateScrollBars, xToOffset, xyToOffset, yToLine`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getWidth, getVisibleRect, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.support.actions.FindAndReplaceable
`getCaretPosition, getSelectedText, getSelectionEnd, getSelectionStart, getText, isEditable, select, setSelectedText`

Methods inherited from interface com.eviware.soapui.support.components.JEditorStatusBar.JEditorStatusBarTarget
`addCaretListener, getCaretPosition, getLineOfOffset, getLineStartOffset, removeCaretListener`

Field Detail

### UNDO_LIMIT

    public static final int UNDO_LIMIT

See Also:
  Constant Field Values

Constructor Detail

### JXEditTextArea

    public JXEditTextArea(org.syntax.jedit.tokenmarker.TokenMarker tokenMarker)

Method Detail

### createXmlEditor

    public static JXEditTextArea createXmlEditor()

### createGroovyEditor

    public static JXEditTextArea createGroovyEditor()

### addNotify

    public void addNotify()

  Overrides:
    `addNotify` in class `org.syntax.jedit.JEditTextArea`

### removeNotify

    public void removeNotify()

  Overrides:
    `removeNotify` in class `org.syntax.jedit.JEditTextArea`

### getFindAndReplaceAction

    public javax.swing.Action getFindAndReplaceAction()

### getGoToLineAction

    public javax.swing.Action getGoToLineAction()

### getRedoAction

    public javax.swing.Action getRedoAction()

### getUndoAction

    public javax.swing.Action getUndoAction()

### setText

    public void setText(java.lang.String text)

  Overrides:
    `setText` in class `org.syntax.jedit.JEditTextArea`

### isDiscardEditsOnSet

    public boolean isDiscardEditsOnSet()

### setDiscardEditsOnSet

    public void setDiscardEditsOnSet(boolean discardEditsOnSet)

### getUndoManager

    public javax.swing.undo.UndoManager getUndoManager()

### createXmlStyles

    public org.syntax.jedit.SyntaxStyle[] createXmlStyles()

### focusGained

    public void focusGained(java.awt.event.FocusEvent fe)

  Specified by:
    `focusGained` in interface `java.awt.event.FocusListener`

### setEnabled

    public void setEnabled(boolean flag)

  Overrides:
    `setEnabled` in class `javax.swing.JComponent`

### setEditable

    public void setEditable(boolean enabled)

  Overrides:
    `setEditable` in class `org.syntax.jedit.JEditTextArea`

### focusLost

    public void focusLost(java.awt.event.FocusEvent fe)

  Specified by:
    `focusLost` in interface `java.awt.event.FocusListener`

### undoableEditHappened

    public void undoableEditHappened(javax.swing.event.UndoableEditEvent e)

  Specified by:
    `undoableEditHappened` in interface `javax.swing.event.UndoableEditListener`

### createCopyAction

    public javax.swing.Action createCopyAction()

### undo

    public void undo()

### createCutAction

    public javax.swing.Action createCutAction()

### createPasteAction

    public javax.swing.Action createPasteAction()

### getCaretColumn

    public int getCaretColumn()

### toNextElement

    public void toNextElement()

### toPreviousElement

    public void toPreviousElement()

### canUndo

    public boolean canUndo()

### canRedo

    public boolean canRedo()

### redo

    public void redo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.